FoxData Open API
My License
My License
  1. 4. Kerword research Services
  • I. Quick Start
    • 1. API Overview
    • 2. Quick Start
    • 3. Authorization
    • 4. Request & Response
    • 5. Rate Limiting
  • II. List of Interfaces
    • 1. application Services
      • 1001-App-Basic Info
      • 1002-App-Extended Info
      • 1003-App-Visibility Score
      • 1004-App-Apps by Same Developer
      • 1005-App-Ranking History
      • 1006-App-Featured Recommendations
      • 1007-App-Ratings & Reviews
      • 1008-App-Version History
      • 1009-App-Competitor Comparison
      • 1010-App-Competitor Bidding
      • 1011-App-Covered Keywords
      • 1012-App-Keyword Expansion
      • 1013-App-Bidding Keywords
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Initiation
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Retrieval
      • 1014-App-Bidding Keyword Periodic Monitoring-Data Retrieval
      • 1015-App-CPP Ad Creatives
      • 1016-App-App Tags
      • 1017-App-Download & Revenue Estimates
      • 1018-App-Smart Keyword Recommendations
      • 1019-App-Active Users
      • 1020-App-Basic Info (Advanced)
      • 1021-App-CPP Keywords
    • 2. Market Services
      • 2001-Market-Realtime Charts
      • 2002-Market-Global Chart Analysis
      • 2003-Market-Search Volume Charts
      • 2004-Market-Download & Revenue Charts
      • 2005-Market-Active Users & Customers
      • 2006-Market-App Release Monitoring
      • 2007-Market-Cleared Keyword Monitoring
      • 2008-Market-Cleared Ranking Monitoring
      • 2009-Market-App Delisting Monitoring
    • 3. ASA Services
      • 3001-Ad-Bidding Apps
      • 3002-Ad-Bidding Keywords
      • 3003-Ad-Bidding Keyword Analysis
      • 3004-Ad-CPPs
      • 3005-ASA Tab Rate Task
      • 3005-ASA Tab Rate Result
    • 4. Kerword research Services
      • 4001-Keyword Search
        POST
      • 4002-Keyword Expansion
        POST
      • 4003-Keyword Search Details
        POST
      • 4004-App-App Keywords
        POST
    • 9. Other Services
      • 9001-Paginated Query API
  • III. Data Dictionary and Definitions
    • 1. Application Classification Code
    • 2. Time and Location Information
    • 3. Regional Language Comparison Chart
    • 4. Explanation of Data Update Frequency
  • IV. Appendix
    • 1. Release Notes
    • 2. FAQ
    • 3. Contact and Support
  1. 4. Kerword research Services

4003-Keyword Search Details

POST
/keyword/search-detail
Query detailed keyword data by keyword, country, app market, and metrics.

Request

Authorization
Add parameter in header
x-openapi-key
Example:
x-openapi-key: ********************
Body Params application/json

Example
{
  "appstore": "AS",
  "region": "US",
  "keyword": "music",
  "metrics": [
    "SUMMARY",
    "DETAIL"
  ],
  "limit": "TOP_200"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.foxdata.com/apiv1/open-api/keyword/search-detail' \
--header 'x-openapi-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "appstore": "AS",
  "region": "US",
  "keyword": "music",
  "metrics": [
    "SUMMARY",
    "DETAIL"
  ],
  "limit": "TOP_200"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "requestParam": {
        "appId": "com.moye.shelter",
        "region": "US",
        "language": "en_US"
    },
    "result": {
        "appId": "string",
        "appName": "string",
        "icon": "string",
        "subTitle": "string",
        "descriptions": "string",
        "promotionalText": "string",
        "category": "string",
        "categoryId": "string",
        "status": "NOT_EXIST",
        "screenshot": {
            "iPhone": [
                "string"
            ],
            "iPhone65": [
                "string"
            ],
            "iPad": [
                "string"
            ],
            "appleWatch": [
                "string"
            ],
            "iPhoneD74": [
                "string"
            ],
            "mac": [
                "string"
            ]
        },
        "videos": {
            "iPhone": [
                {
                    "image": "string",
                    "video": "string"
                }
            ],
            "iPad": [
                {
                    "image": "string",
                    "video": "string"
                }
            ]
        },
        "gpScreenshots": "new ArrayList<>()",
        "gpVideos": [
            {
                "image": "string",
                "video": "string"
            }
        ]
    },
    "creditsCost": {
        "requestCredits": 0,
        "baseCredits": 0,
        "extraCredits": 0,
        "totalCostCredits": 0
    },
    "next": {
        "taskId": "string",
        "pageKey": "string",
        "totalCount": 0,
        "totalPages": 0
    }
}
Modified at 2026-06-25 05:44:00
Previous
4002-Keyword Expansion
Next
4004-App-App Keywords
Built with